org.springframework.data.web.config

## Class EnableSpringDataWebSupport.SpringDataWebConfigurationImportSelector

- java.lang.Object
- - org.springframework.data.web.config.EnableSpringDataWebSupport.SpringDataWebConfigurationImportSelector

All Implemented Interfaces:
  Aware, ImportSelector, ResourceLoaderAware

Enclosing class:
  EnableSpringDataWebSupport

    public static class EnableSpringDataWebSupport.SpringDataWebConfigurationImportSelector
    extends Object
    implements ImportSelector, ResourceLoaderAware

Import selector to import the appropriate configuration class depending on whether Spring HATEOAS is present on the classpath. We need to register the HATEOAS specific class first as apparently only the first class implementing `WebMvcConfigurationSupport` gets callbacks invoked (see https://jira.springsource.org/browse/SPR-10565).

Author:
  Oliver Gierke, Jens Schauder

### Constructor Summary

Constructors
Constructor and Description
`SpringDataWebConfigurationImportSelector()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String[]` `selectImports(AnnotationMetadata importingClassMetadata)`
`void` `setResourceLoader(ResourceLoader resourceLoader)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.context.annotation.ImportSelector

`getExclusionFilter`

### Constructor Detail

#### SpringDataWebConfigurationImportSelector

    public SpringDataWebConfigurationImportSelector()

### Method Detail

#### setResourceLoader

    public void setResourceLoader(ResourceLoader resourceLoader)

Specified by:
  `setResourceLoader` in interface `ResourceLoaderAware`

#### selectImports

    public String[] selectImports(AnnotationMetadata importingClassMetadata)

Specified by:
  `selectImports` in interface `ImportSelector`